/*

Compass Template
    
http://www.templatemo.com/tm-454-compass


http://meyerweb.com/eric/tools/css/reset/ 
v2.0 | 20110126
License: none (public domain)

*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/*------------------------------------------------------
	Basic Styling 
--------------------------------------------------------*/
body {
  font: 13px/23px "Open Sans", sans-serif;
  -webkit-font-smoothing: antialiased;
  word-wrap: break-word;
  color: #777777;
}

a {
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

input::-moz-focus-inner {
  border: 0;
}

a:hover, a:active, a:focus {
  text-decoration: none;
  outline: none;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "Open Sans", sans-serif;
  color: #444444;
}

.top-header .right-header ul.social-icons, .main-header .menu ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

#services, #portfolio, #about, #contact {
  padding-top: 120px;
}

/*------------------------------------------------------
	Header Styles 
--------------------------------------------------------*/
.top-header {
  background: #d3af37;
  color: rgba(255, 255, 255, 1);
  padding: 5px 0;
}
.top-header .left-header span {
  display: inline-block;
  margin: 8px 30px 0 0;
}
.top-header .left-header span i {
  margin-right: 10px;
}
.top-header .right-header ul.social-icons li {
  display: inline-block;
}
.top-header .right-header ul.social-icons li a {
  color: rgba(253, 253, 253, 1);
  width: 32px;
  height: 32px;
  text-align: center;
  line-height: 30px;
  border: 1px solid white;
  -webkit-border-radius: 16px;
  border-radius: 16px;
  margin: 0 5px;
}
.top-header .right-header ul.social-icons li a:hover {
  background-color: rgba(255, 255, 253, 1);
  color: #dbf301ff;
}

.main-header {
  position: fixed;
  width: 100%;
  z-index: 9999;
  padding: 20px 0;
  background: rgba(253, 253, 251, 1);
  -webkit-box-shadow: 0 2px 4px rgba(1, 1, 1, 0.15) ;
  -moz-box-shadow: 0 2px 4px rgba(1, 1, 1, 0.15) ;
  box-shadow: 0 2px 4px rgba(1, 1, 1, 0.15) ;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
}
.main-header .logo {
  margin-top: 5px;
}
.main-header .logo h1 {
  font-size: 28px;
  font-weight: 700;
  text-transform: uppercase;
}
.main-header .logo h1 a {
  color: #444444;
}
.main-header .menu {
  margin-top: 10px;
}
.main-header .menu ul li {
  display: inline-block;
  margin-left: 15px;
}
.main-header .menu ul li a {
  text-transform: uppercase;
  color: #0e0d0d;
  font-size: 14px;
  padding: 8px 12px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
}
.main-header .menu ul li a.current {
  background: rgba(221, 117, 20, 0.507);
  color: white;
}

.main-header-shrink {
  padding: 25px 0;
  top: 0;
}

.responsive-menu {
  position: relative;
  top: -20px;
}
.responsive-menu .toggle-menu {
  font-size: 24px;
  color: #d3af37;
}
.responsive-menu .menu {
  display: none;
  position: absolute;
  top: 52px;
  width: 100%;
  background-color: #d3af37;
}
.responsive-menu .menu ul li {
  display: block;
  text-align: left;
  border-bottom: 1px solid #d3af37;
  margin: 0;
}
.responsive-menu .menu ul li:last-child {
  border-bottom: 0;
}
.responsive-menu .menu ul li a {
  color: white;
  padding: 15px 20px;
  display: block;
  -webkit-border-radius: 0;
  border-radius: 0;
}
.responsive-menu .menu ul li a.current {
  background-color: #d3af37;
}

/*------------------------------------------------------
	Basic Layout Styles 
--------------------------------------------------------*/
.title-section {
  margin-bottom: 80px;
}
.title-section h2 {
  font-size: 24px;
  font-weight: normal;
  text-transform: uppercase;
  display: block;
  margin-bottom: 20px;
}
.title-section span {
  display: block;
  width: 70px;
  height: 4px;
  background: #f0ae4b;
  margin: 0 auto;
}

.widget-title {
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 30px;
}

.mainBtn {
  background-color: #eeaf39;
  color: rgb(19, 18, 18);
  display: inline-block;
  text-transform: uppercase;
  padding: 10px 15px;
  font-weight: 600;
  font-size: 14px;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.mainBtn:hover {
  background-color: rgba(81, 82, 68, 0.164);
}

/*------------------------------------------------------
	Services Styles 
--------------------------------------------------------*/
#services .service-item .service-header {
  padding-bottom: 20px;
  clear: both;
}
#services .service-item .service-header i {
  color: rgb(247, 187, 76);
  font-size: 24px;
  float: left;
  margin-right: 25px;
}
#services .service-item .service-header h3 {
  font-size: 18px;
  text-transform: uppercase;
  font-weight: 600;
}

 /*---------------------------------------
      ABOUT              
  -----------------------------------------*/

  #about {
    text-align: left;
    padding-bottom: 0;
  }

  #about .about-info:first-child {
    margin-right: 40px;
  }

  .about-info .section-title {
    margin: 40px 0 40px 0;
  }

  .about-info {
    margin-top: 60px;
  }

  .skill-thumb strong {
    display: inline-block;
    margin-bottom: 10px;
  }

  .skill-thumb .progress {
    background: #fff9a2ff;
    border-radius: 5px;
    box-shadow: none;
    height: 3px;
    margin-bottom: 25px;
  }

  .skill-thumb .progress-bar {
    background: rgb(243, 161, 53);
    box-shadow: none;
  }

/*------------------------------------------------------
	Portfolio Styles 
--------------------------------------------------------*/
#portfolio {
  padding-bottom: 80px;
  margin-top: 100px;
  background: #fff065ff;
}
#portfolio .title-section h2 {
  color: white;
}
#portfolio .portfolio-thumb {
  overflow: hidden;
  position: relative;
  margin-bottom: 30px;
}
#portfolio .portfolio-thumb img {
  width: 100%;
  height: auto;
}
#portfolio .portfolio-thumb .overlay {
  opacity: 0;
  visibility: visible;
  background: rgba(20, 20, 20, 0.9);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
#portfolio .portfolio-thumb .overlay .inner {
  position: absolute;
  padding: 20px;
  width: 100%;
  bottom: 0;
  left: 0;
  text-align: center;
}
#portfolio .portfolio-thumb .overlay .inner h4 {
  font-size: 18px;
  margin-bottom: 10px;
}
#portfolio .portfolio-thumb .overlay .inner h4 a {
  color: white;
}
#portfolio .portfolio-thumb .overlay .inner span {
  font-weight: 300;
  color: white;
}
#portfolio .portfolio-thumb:hover .overlay {
  opacity: 1;
  visibility: visible;
}

/*-- -------------------------- -->
<---          Gallery           -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
    #gallery-43 {
        padding: var(--sectionPadding);
        position: relative;
        /* Prevents overflow from the image going off screen */
        overflow: hidden;
    }
    #gallery-43 .cs-container {
        width: 100%;
        max-width: 69rem;
        margin: auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        /* 48px - 64px */
        gap: clamp(3rem, 6vw, 4rem);
    }
    #gallery-43 .cs-content {
        /* set text align to left if content needs to be left aligned */
        text-align: center;
        width: 100%;
        display: flex;
        flex-direction: column;
        /* centers content horizontally, set to flex-start to left align */
        align-items: center;
    }

    #gallery-43 .cs-image-group {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        /* 16px - 20px */
        gap: clamp(1rem, 1.5vw, 1.25rem);
    }
    #gallery-43 .cs-item {
        width: 100%;
        height: 100%;
        aspect-ratio: 1;
        margin: 0;
        position: relative;
        display: block;
    }
    #gallery-43 .cs-item:hover .cs-hover-box {
        opacity: 1;
    }
    #gallery-43 .cs-item:hover .cs-icon {
        /* return to original position */
        transform: rotateY(0);
    }
    #gallery-43 .cs-item:hover .cs-h3 {
        opacity: 1;
        /* Return to original position */
        transform: translateY(0);
    }
    #gallery-43 .cs-item:hover .cs-hover-box-text {
        opacity: 1;
        /* Return to original position */
        transform: translateY(0);
    }
    #gallery-43 .cs-picture {
        margin: auto;
        width: 100%;
        height: 100%;
        display: block;
        position: relative;
    }
    #gallery-43 .cs-picture img {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        object-fit: cover;
    }
    #gallery-43 .cs-hover-box {
        text-align: center;
        width: 100%;
        height: 100%;
        padding: 1em;
        background-color: rgba(229, 87, 44, 0.404);
        opacity: 0;
        position: absolute;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        /* Prevents padding from contributing to height & width */
        box-sizing: border-box;
        /* Sets stage for 3d transform animation */
        perspective: 700px;
        top: 0;
        left: 0;
        z-index: 10;
        /* prevents mouse from being able to interact with these elements */
        pointer-events: none;
        transition: opacity 0.3s;
    }
    #gallery-43 .cs-icon {
        /* 50px - 60px */
        width: clamp(3.125rem, 5vw, 3.75rem);
        height: clamp(3.125rem, 5vw, 3.75rem);
        /* 16px - 32px */
        margin-bottom: clamp(1rem, 5vw, 2rem);
        border-radius: 50%;
        background-color: #fff;
        outline: 0.5rem solid rgba(255, 255, 255, 0.7);
        /* Start with the icon box rotated 90deg */
        transform: rotateY(90deg);
        position: relative;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        flex: none;
        transition: transform 0.5s;
    }
    #gallery-43 .cs-icon img {
        width: 1.25rem;
        height: 1.25rem;
    }
    #gallery-43 .cs-h3 {
        /* 20px - 25px */
        font-size: clamp(1.25rem, 2vw, 1.5625rem);
        line-height: 1.2em;
        font-weight: 700;
        margin: 0 auto;
        max-width: 16.875rem;
        color: #fff;
        /* make starting position down 10px and invisible */
        opacity: 0;
        transform: translateY(0.625rem);
        margin-bottom: 0.5rem;
        transition:
            opacity 0.3s,
            transform 0.3s ease-out;
        transition-delay: 0.1s;
    }
    #gallery-43 .cs-hover-box-text {
        /* 13px - 16px */
        font-size: clamp(0.8125rem, 1vw, 1rem);
        line-height: 1.5em;
        margin: 0 auto;
        max-width: 16.875rem;
        color: #fff;
        /* make starting position down 10px and invisible */
        opacity: 0;
        transform: translateY(0.625rem);
        transition:
            opacity 0.3s,
            transform 0.3s ease-out;
        transition-delay: 0.2s;
    }
}
/* In Between - 600px */
@media only screen and (min-width: 37.5rem) {
    #gallery-43 .cs-image-group {
        display: grid;
        grid-template-columns: repeat(12, 1fr);
        grid-template-rows: 1fr;
    }
    #gallery-43 .cs-item {
        grid-column: span 6;
    }
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
    #gallery-43 .cs-item {
        grid-column: span 4;
    }
}


/*---------------------------------------
      CONTACTS             
  -----------------------------------------*/

  #contact {
    background: #fcf59cff;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #e2dfabff, #cfc888ff);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #fcf7b5ff, #fcf5c2ff); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  }

  #contact .section-title h2 {
    color: #ffffff;
  }

  .google-map {
    border-radius: 100%;
    width: 400px;
    height: 400px;
    overflow: hidden;
    margin: 0 auto;
  }

  .google-map iframe {
    border: 0;
    width: 400px;
    height: 400px;
  }

  #contact .form-control {
    border: 0;
    border-radius: 5px;
    box-shadow: none;
    color: rgba(20,20,20,0.5);
    font-size: 14px;
    font-weight: normal;
    margin-bottom: 15px;
    padding-left: 8px;
  }

  #contact input,
  #contact select {
    height: 55px;
  }

  #contact select {
    color: rgba(20,20,20,0.5);
  }

  #contact input[type='submit'] {
    background: #d3af37;
    border-radius: 100px;
    color: #ffffff;
    font-weight: 500;
  }


/*------------------------------------------------------
	Footer Styles 
--------------------------------------------------------*/
.site-footer {
  margin-top: 100px;
  background-color: #d3af37;
  color: white;
  padding: 51px 0;
}
.site-footer p {
  margin-top: 10px;
}
.site-footer a {
  color: white;
  text-align: center;
  display: block;
}
.site-footer .go-top {
  float: right;
  text-transform: uppercase;
}
.site-footer .go-top i {
  display: block;
}

/********************************
IPAD LANDSCAPE (1024x768)
********************************/
/********************************
IPAD PORTRAIT (768x1024)
********************************/
@media only screen and (max-width: 960px) {
  .flexslider {
    margin-top: 100px;
  }

  .main-header {
    padding: 15px 0;
  }
  .main-header .logo {
    margin-top: 20px;
  }

  .service-item, .team-member {
    margin-bottom: 50px;
  }

  .our-skills {
    margin-top: 60px;
  }

  .flex-caption {
    top: 20%;
  }
  .flex-caption h2 {
    font-size: 24px;
    margin-bottom: 20px;
  }
  .flex-caption p {
    font-size: 14px;
    width: 70%;
    margin: 0 auto;
  }

  .left-header, .right-header {
    text-align: center;
  }
}
/********************************
IPHONE 4-4S-5 LANDSCAPE (568x320)
********************************/
@media only screen and (max-width: 760px) {
  .flex-caption {
    display: none !important;
  }

  .contact-form {
    margin-bottom: 60px;
  }

  .main-header {
    height: 60px;
  }
  .main-header .logo {
    margin: 0;
  }

  .flexslider {
    margin-top: 60px;
  }

  .responsive-menu .menu {
    top: 32px;
  }
}
/********************************
IPHONE 4-4S-5 PORTRAIT (320x568)
********************************/
